tasty-smallcheck-0.8.1: SmallCheck support for the Tasty test framework.

Safe Haskell | None
Language | Haskell98

Test.Tasty.SmallCheck

Contents

- Orphan instances

Description

This module allows to use SmallCheck properties in tasty.

Synopsis

- testProperty :: Testable IO a => TestName -> a -> TestTree
- newtype SmallCheckDepth = SmallCheckDepth Int
- module Test.SmallCheck

# Documentation

testProperty :: Testable IO a => TestName -> a -> TestTree Source #

Create a `Test` for a SmallCheck `Testable` property

newtype SmallCheckDepth Source #

The "depth" parameter for SmallCheck

Constructors

SmallCheckDepth Int |

Instances

Enum SmallCheckDepth Source # |

Methods

succ :: SmallCheckDepth -> SmallCheckDepth #

pred :: SmallCheckDepth -> SmallCheckDepth #

toEnum :: Int -> SmallCheckDepth #

fromEnum :: SmallCheckDepth -> Int #

enumFrom :: SmallCheckDepth -> [SmallCheckDepth] #

enumFromThen :: SmallCheckDepth -> SmallCheckDepth -> [SmallCheckDepth] #

enumFromTo :: SmallCheckDepth -> SmallCheckDepth -> [SmallCheckDepth] #

enumFromThenTo :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth -> [SmallCheckDepth] #

Eq SmallCheckDepth Source # |
Methods (==) :: SmallCheckDepth -> SmallCheckDepth -> Bool # (/=) :: SmallCheckDepth -> SmallCheckDepth -> Bool #
Integral SmallCheckDepth Source # |

Methods

quot :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth #

rem :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth #

div :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth #

mod :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth #

quotRem :: SmallCheckDepth -> SmallCheckDepth -> (SmallCheckDepth, SmallCheckDepth) #

divMod :: SmallCheckDepth -> SmallCheckDepth -> (SmallCheckDepth, SmallCheckDepth) #

toInteger :: SmallCheckDepth -> Integer #

Num SmallCheckDepth Source # |
Methods (+) :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth # (-) :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth # (*) :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth # negate :: SmallCheckDepth -> SmallCheckDepth # abs :: SmallCheckDepth -> SmallCheckDepth # signum :: SmallCheckDepth -> SmallCheckDepth # fromInteger :: Integer -> SmallCheckDepth #
Ord SmallCheckDepth Source # |

Methods

compare :: SmallCheckDepth -> SmallCheckDepth -> Ordering #

(<) :: SmallCheckDepth -> SmallCheckDepth -> Bool #

(<=) :: SmallCheckDepth -> SmallCheckDepth -> Bool #

(>) :: SmallCheckDepth -> SmallCheckDepth -> Bool #

(>=) :: SmallCheckDepth -> SmallCheckDepth -> Bool #

max :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth #

min :: SmallCheckDepth -> SmallCheckDepth -> SmallCheckDepth #

Real SmallCheckDepth Source # |
Methods toRational :: SmallCheckDepth -> Rational #
IsOption SmallCheckDepth Source # |
Methods defaultValue :: SmallCheckDepth # parseValue :: String -> Maybe SmallCheckDepth # optionName :: Tagged * SmallCheckDepth String # optionHelp :: Tagged * SmallCheckDepth String # optionCLParser :: Parser SmallCheckDepth #

module Test.SmallCheck

# Orphan instances

IsTest (Property IO) Source # |
Methods run :: OptionSet -> Property IO -> (Progress -> IO ()) -> IO Result # testOptions :: Tagged * (Property IO) [OptionDescription] #